import { BaseXSelector } from './Selector';
export declare class IndexSelector extends BaseXSelector {
    render(): void;
    create_listeners(): void;
    color_change(): void;
    initial_click(): void;
    click(): void;
    mousemove(): void;
    invert_pixel(pixel: any): any;
    reset(): void;
    update_scale_domain(ignore_gui_update: any): void;
    selected_changed(): void;
    relayout(): void;
    set_range(array: any): void;
    active: boolean;
    dirty: boolean;
    line: any;
    background: any;
}
